JackTrip

Classes | Variables
PacketHeader.h File Reference
`#include <iostream>`
`#include <cstring>`
`#include <QObject>`
`#include <QString>`
`#include "jacktrip_types.h"`
`#include "jacktrip_globals.h"`
Include dependency graph for PacketHeader.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | HeaderStruct
| Abstract Header Struct, Header Stucts should subclass it. More...
struct | DefaultHeaderStruct
| Default Header Struct. More...
struct | JamLinkHeaderStuct
| JamLink Header Struct. More...
class | PacketHeader
| Base class for header type. Subclass this struct to create a new header. More...
class | DefaultHeader
| Default Header. More...
class | JamLinkHeader
| JamLink Header. More...
class | EmptyHeader
| Empty Header to use with systems that don't include a header. More...

## Variables
const unsigned short | ETX_RSVD = (0<<15)
const unsigned short | ETX_XTND = (1<<14)
const unsigned short | ETX_STEREO = (1<<13)
const unsigned short | ETX_MONO = (0<<13)
const unsigned short | ETX_16BIT = (0<<12)
const unsigned short | ETX_48KHZ = (0<<9)
const unsigned short | ETX_44KHZ = (1<<9)
const unsigned short | ETX_32KHZ = (2<<9)
const unsigned short | ETX_24KHZ = (3<<9)
const unsigned short | ETX_22KHZ = (4<<9)
const unsigned short | ETX_16KHZ = (5<<9)
const unsigned short | ETX_11KHZ = (6<<9)
const unsigned short | ETX_8KHZ = (7<<9)

## Detailed Description

Author
  Juan-Pablo Caceres

Date
  July 2008

## Variable Documentation

## ◆ ETX_11KHZ

const unsigned short ETX_11KHZ = (6<<9)

## ◆ ETX_16BIT

const unsigned short ETX_16BIT = (0<<12)

## ◆ ETX_16KHZ

const unsigned short ETX_16KHZ = (5<<9)

## ◆ ETX_22KHZ

const unsigned short ETX_22KHZ = (4<<9)

## ◆ ETX_24KHZ

const unsigned short ETX_24KHZ = (3<<9)

## ◆ ETX_32KHZ

const unsigned short ETX_32KHZ = (2<<9)

## ◆ ETX_44KHZ

const unsigned short ETX_44KHZ = (1<<9)

## ◆ ETX_48KHZ

const unsigned short ETX_48KHZ = (0<<9)

## ◆ ETX_8KHZ

const unsigned short ETX_8KHZ = (7<<9)

## ◆ ETX_MONO

const unsigned short ETX_MONO = (0<<13)

## ◆ ETX_RSVD

const unsigned short ETX_RSVD = (0<<15)

## ◆ ETX_STEREO

const unsigned short ETX_STEREO = (1<<13)

## ◆ ETX_XTND

const unsigned short ETX_XTND = (1<<14)